/// <reference types='@dcloudio/types' />
import type { IeTool } from './utils/uni-tool';

// 扩展全局 UniApp.Uni 接口
declare global {
  interface Uni {
    $ie: IeTool;
    $uv: any;
    $zp: any;
  }
}

declare module 'pinia' {
  export interface DefineStoreOptionsBase<S, Store> {
    // 声明 persist 配置项
    persist?: {
      enabled?: boolean
      storage?: {
        getItem: <T = any>(key: string) => T;
        setItem: (key: string, value: any) => void;
      }
      paths?: string[],
      omit?: string[]
    }
  }
}

declare module "*.vue" {
  import type { DefineComponent } from "vue";
  const vueComponent: DefineComponent<{}, {}, any>;
  export default vueComponent;
}
